> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post api keys



## OpenAPI

````yaml https://worlds-api.wazoo.dev/openapi.json post /api-keys
openapi: 3.0.0
info:
  title: Worlds API
  version: 0.1.0
  description: >-
    Data-plane API for Wazoo Worlds — search, SPARQL, import, export, and World
    lifecycle.
servers:
  - url: https://worlds-api.wazoo.dev
    description: Worlds API
security:
  - bearerWorldsToken: []
paths:
  /api-keys:
    post:
      tags:
        - APIKeys
      operationId: createApiKey
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyCreateRequest'
      responses:
        '201':
          description: Created API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyCreateResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerWorldsToken: []
components:
  schemas:
    ApiKeyCreateRequest:
      type: object
      properties:
        namespace:
          type: string
          minLength: 1
        worldId:
          type: string
        name:
          type: string
      required:
        - namespace
    ApiKeyCreateResponse:
      type: object
      properties:
        uid:
          type: string
        token:
          type: string
        name:
          type: string
        namespace:
          type: string
        worldId:
          type: string
          nullable: true
        createTime:
          type: string
      required:
        - uid
        - token
        - name
        - namespace
        - worldId
        - createTime
  securitySchemes:
    bearerWorldsToken:
      type: http
      scheme: bearer
      bearerFormat: wzw
      description: Worlds API data-plane token.

````